%define perl_lib %(%{__perl} -MConfig -e 'print $Config{installsitelib}')
%define perl_arch %(%{__perl} -MConfig -e 'print $Config{installsitearch}')

Name:          xapian14-bindings
Version:       1.4.24
Release:       1%{?dist}
Summary:       Bindings for the Xapian-1.4 Probabilistic Information Retrieval Library

License:       GPLv2+
URL:           http://www.xapian.org/
Source0:       http://www.oligarchy.co.uk/xapian/%{version}/xapian-bindings-%{version}.tar.xz

BuildRequires: gcc gcc-c++
BuildRequires: libuuid-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: xapian14-core-devel
BuildRequires: zlib-devel

# Filter private-shared-object-provides
%{?filter_setup}

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for scripts which use Xapian.

%package perl
Summary:       Perl bindings for Xapian-1.4
Requires:      %{name} = %{version}-%{release}
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:      perl(Exporter) perl(DynaLoader)

%description perl
Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications.
It has built-in support for several families of weighting models and
also supports a rich set of boolean query operators.

This package provides the files needed for developing and running
Perl applications which use Xapian.

%prep
%autosetup -p1 -n xapian-bindings-%{version}

%build
%configure --with-perl

%{make_build}

%install
%{make_install}

# Remove the dev docs, we pick them up below
rm -rf %{buildroot}%{_datadir}/doc/xapian-bindings

%check
#make check

%files
%license COPYING
%doc AUTHORS NEWS README

%files perl
%{perl_arch}/auto/Xapian/Xapian.so
%{perl_lib}/Xapian.pm
%{perl_lib}/Xapian

%changelog
* Tue Nov 14 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.24-1
- Update to 1.4.24

* Tue May 30 2023 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.22-1
- Update to 1.4.22

* Wed Sep 28 2022 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.21-1
- Update to 1.4.21

* Fri Apr 23 2021 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 1.4.18-1
- Build as xapian14-bindings
- Only build perl

* Sun Feb 16 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> 1.4.14-1
- Update to 1.4.14

* Mon Jun 18 2007 Marco Pesenti Gritti <mpg@redhat.com> 1.0.1-1
- Initial build

